Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSumGetSubspace

Get a space in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSumGetSubspace(PetscDualSpace sp, PetscInt s, PetscDualSpace *subsp)

## Input Parameters

- sp - the dual space object

- s - The space number

## Output Parameter

- subsp - the `PetscDualSpace`

## Note

The name GetSubspace is slightly misleading because it is actually getting one of the defining spaces of the sum, not a Subspace of it

## See Also

`PETSCDUALSPACESUM`, `PetscDualSpace`, `PetscDualSpaceSumSetSubspace()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/sum/dualspacesum.c

## Implementations

PetscDualSpaceSumGetSubspace_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages